• Hey! Guest! The 37th GMC Jam will take place between May 28th, 12:00 UTC and June 1st, 12:00 UTC. Why not join in! Click here to find out more!
  • Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Android / Amazon Fire GM2 no support GMS

rIKmAN

Member
I refer to this thread ...

https://forum.yoyogames.com/index.php?threads/did-gms2-new-features-development-nearly-stopped.42725/


Hello, the old android module is no longer being developed and then i can not develop any new apps for the playstore? I paid expensive money! and now I am so forced to buy gm2?
GMS 1.4 will be updated / have bugs fixed until the end of July 2018, and after that date will no longer be updated / fixed - so once there are changes to the store by Google or to various SDKs then compilations will fail and that will be that.

That sounds very illegal ...
Don't be silly, it's not illegal to drop support for software when a new updated version is released - in fact it's standard practice - and 1.4 is 4-5yrs old, previous 1.x versions even older still.

They have given a long period of notice for the 1.4 sunsetting date, and offered 40% / 50% off to existing 1.4 owners for a long time since the GMS2 Beta (the offer was extended multiple times and lasted ~6mths if memory serves).

They have also offered GMS2 and the various modules at discounted prices at various times since then too - for example they currently have a "Lunar Sale" on Mobile, HTML5 and Android Fire if it may be of interest to you.
 

Lonewolff

Member
@Leonardo007 The thread you linked has absolutely nothing to do with GMS 1.4.

Hello, the old android module is no longer being developed and then i can not develop any new apps for the playstore? I paid expensive money! and now I am so forced to buy gm2? That sounds very illegal ...
Rubbish. I released a new game on PlayStore last week with GMS 1.4.

And no, it is not illegal. GMS 1.4 is 5 or 6 years old. My iPad 4 is newer than that, and I can even update to the latest iOS, which means that it will be a door stop very soon. Nothing illegal with progression, I am afraid.
 

Mike

nobody important
GMC Elder
Swap your 1.4 to the beta channel... there was a release last week - including lots of Android fixes.
GMS1.x will be updated until end of July (I think it was), and while it wont' get massive regular updates, we will fix major issues.

We've given a years notice on how long support will be given, that is plenty of time to update/upgrade/release whatever it is your doing.No software lasts forever, no matter how much it costs. But we've worked hard to make 2.x import of 1.x projects highly compatible so you can import your projects and continue working on them.
 

The-any-Key

Member
i can not develop any new apps for the playstore? I paid expensive money! and now I am so forced to buy gm2? That sounds very illegal ...
Think of the people that has bought your games on their old android devices.
If you develop and update your games, they can no longer play the games on their old devices. So you are forcing them to buy new android devices.
Is that illegal?
 

csanyk

Member
You're not being forced to buy anything. Your car will get old and they'll stop making parts for it, too. Then you'll be "forced" to buy a new car. Or you can opt not to buy a car, and walk everywhere, or take a bus or taxi. Nothing is illegal about it.
 
Top